fuss-server - Segnalazione #400

Non é possibile leggere DVD multimediali
09/07/2017 05:55 PM - Michael Guggenberg

Status: Chiuso Start date:
Priority: Normale Due date:
Assignee: Michael Guggenberg % Done:
Category: Estimated time:
Target version:

09/07/2017

100%
0.00 hour

Description

Non ¢ possibile leggere dvd multimediali
Non & possibili installare libdvd-pkg.

libdvd-pkg/jessie-backports 1.4.0-1-1~bpo8+1 all

Chiedo di aggiungere

acl repositories url_regex download.videolan.org

a squid.conf

Associated revisions

Revision 114680ea - 09/08/2017 03:37 PM - Christopher R. Gabriel
refs #400

History

#1 - 09/07/2017 05:58 PM - Christopher R. Gabriel
- Status changed from Nuovo to Commenti

- Assignee changed from TRUELITE to Michael Guggenberg

Michael Guggenberg ha scritto:

Non ¢ possibile leggere dvd multimediali
Non ¢ possibili installare libdvd-pkg.

In che senso non e' possibile installare libdvd-pkg?

$ rmadison libdvd-pkg
debian:
libdvd-pkg | 1.4.0-1-1~bpo8+1 | Jessie-backports/contrib | source, all

Forse e' un pacchetto da aggiungere a quelli non-free che viene installato separatamente?
#2 - 09/07/2017 06:02 PM - Michael Guggenberg
- Assignee changed from Michael Guggenberg to Christopher R. Gabriel

Perché non riesce a scaricare la sorgente?

#3 - 09/07/2017 06:02 PM - Christopher R. Gabriel
- Assignee changed from Christopher R. Gabriel to Michael Guggenberg

E perche' il download viene bloccato? dal content filter?

#4 - 09/07/2017 06:08 PM - Michael Guggenberg

/usr/bin/wget —--tries=3 —--timeout=40 —--read-timeout=40 —--continue -0 libdvdcss_1.4.0.orig.tar.bz2 \
http://download.videolan.org/pub/libdvdcss/1.4.0/1ibdvdcss—-1.4.0.tar.bz2 \

|| /usr/bin/uscan --noconf --verbose --rename --destdir=/usr/src/libdvd-pkg --check-dirname-level=0 --—
force-download --download-current-version /usr/share/libdvd-pkg/debian
-—2017-09-07 18:08:30-—- http://download.videolan.org/pub/libdvdcss/1.4.0/1ibdvdcss—1.4.0.tar.bz2
Connessione a 192.168.1.1:8080...connesso.
Richiesta Proxy inviata, in attesa di risposta... 407 Proxy Authentication Required

2017-09-07 18:08:30 ERRORE 407: Proxy Authentication Required.

#5 - 09/07/2017 06:09 PM - Michael Guggenberg
- Assignee changed from Michael Guggenberg to TRUELITE

#6 - 09/08/2017 09:42 AM - Christopher R. Gabriel
- Assignee changed from TRUELITE to Michael Guggenberg

Mi sembra il comportamento corretto, l'utente che sta cercando di eseguire non €' autenticato sul proxy..

#7 - 09/08/2017 09:43 AM - Christopher R. Gabriel

Come dicevo nel commento precedente, forse e' meglio considerarlo, vista la sua natura, un pacchetto da aggiungere a quelli non-free che viene
installato separatamente?

#8 - 09/08/2017 12:52 PM - Michael Guggenberg

dpkg-reconfigure libdvd-pkg scarica la sorgente per libdvdcss da download.videolan.org dopo aver agiunto I'acl a squid un dpkg-reconfigure
libdvd-pkg scarica la sorgente da download.videolan.org.

#9 - 09/08/2017 12:54 PM - Michael Guggenberg
- Assignee changed from Michael Guggenberg to Paolo Dongilli

#10 - 09/08/2017 12:56 PM - Michael Guggenberg
Christopher R. Gabriel ha scritto:

Mi sembra il comportamento corretto, I'utente che sta cercando di eseguire non e' autenticato sul proxy..
I'utente era root sul client

#11 - 09/08/2017 12:59 PM - Christopher R. Gabriel

Certo, aggiungendo I'acl scarica perche' cosi' viene bypassato tutto il controllo di autorizzazione. Se I'utente €' root sul client, comunque deve
autenticarsi sul proxy.

lo suggerisco, vista la natura di quello che sta scaricando di aggiungerlo al pacchetto esterno.

#12 - 09/08/2017 03:34 PM - Paolo Dongilli
- Assignee changed from Paolo Dongilli to Christopher R. Gabriel

Aggiungiamo a squid.conf come richiesto

acl repositories url_regex download.videolan.org

Con questa modifica NESSUNO viene OBBLIGATO ad installare libdvd-pkg.

#13 - 09/08/2017 03:38 PM - Christopher R. Gabriel

- Project changed from fuss-client to fuss-server

#14 - 09/08/2017 03:40 PM - Christopher R. Gabriel
- Assignee changed from Christopher R. Gabriel to Michael Guggenberg

Pubblicato fuss-server 8.0.28 con la nuova acl, per poter scaricare da videolan.org senza alcuna autorizzazione del proxy.

#15 - 09/11/2017 02:15 PM - Michael Guggenberg

- Status changed from Commenti to Risolto
#16 - 09/11/2017 02:15 PM - Michael Guggenberg

- Status changed from Risolto to Chiuso

- % Done changed from 0 to 100
